import 'package:flutter/foundation.dart';

class Result {
  final Map<String, dynamic> params;

  Result({@required this.params});

  factory Result.fromJson(Map<String, dynamic> json) {
    return new Result(params: json);
  }

  @override
  String toString() {
    return params.toString();
  }

  operator [](String key) {
    if (params != null && params.containsKey(key)) return params[key];
    return null;
  }
}
